Bug 1322491 - pycolumnize: Provide a Python 3 subpackage [NEEDINFO]
Summary: pycolumnize: Provide a Python 3 subpackage
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pycolumnize
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: kushaldas@gmail.com
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1348997
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-03-30 14:54 UTC by Tomas Orsava
Modified: 2016-08-02 09:07 UTC (History)
6 users (show)

Fixed In Version: pycolumnize-0.3.9-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-02 09:07:38 UTC
mhroncok: needinfo? (mail)


Attachments (Terms of Use)
update to 0.3.9 (2.78 KB, patch)
2016-06-21 13:38 UTC, Dominika Krejčí
no flags Details | Diff
New patch version (2.50 KB, patch)
2016-06-30 12:34 UTC, Lumír Balhar
no flags Details | Diff

Description Tomas Orsava 2016-03-30 14:54:07 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 11:51:34 UTC
Hello,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Dominika Krejčí 2016-06-21 13:38:05 UTC
Created attachment 1170289 [details]
update to 0.3.9

Hi, there is a patch with the version update. Python3 seems to work fine, but Python2 is not working. I am getting this error:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/columnize.py", line 11, in <module>
    from backports.shutil_get_terminal_size import get_terminal_size
ImportError: No module named shutil_get_terminal_size

Has someone an idea how to solve it?

Comment 3 Petr Viktorin 2016-06-21 13:51:25 UTC
Looks like you need to package this for Python 2: https://pypi.python.org/pypi/backports.shutil_get_terminal_size/1.0.0

Comment 4 Petr Viktorin 2016-06-29 15:00:02 UTC
The backports.shutil_get_terminal_size package is now in Fedora.

https://admin.fedoraproject.org/pkgdb/package/rpms/python-backports-shutil_get_terminal_size/

Comment 5 Lumír Balhar 2016-06-30 12:34:02 UTC
Created attachment 1174568 [details]
New patch version

Hello.

I've just added one require for Python2 subpackage and now it seems working. I tested both subpackages in mock.

I think that this patch could be pushed.

Comment 6 Lumír Balhar 2016-06-30 12:36:50 UTC
If maintainer has nothing against, we can push this patch in a week.

Comment 7 Miro Hrončok 2016-07-07 22:20:46 UTC
Have anyone talked to Fabian, who is de facto maintaining this?

Comment 9 Jan Kurik 2016-07-26 04:39:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.


Note You need to log in before you can comment on or make changes to this bug.